Index: doc/new_chapters/adminiface.t
===================================================================
--- doc/new_chapters/adminiface.t	(revision d5ef5bd16fc0f12c11fed7d07ebabc3ead7c6127)
+++ doc/new_chapters/adminiface.t	(revision d1a859c0c20ea726ed2f3b2936ff406274bc62a4)
@@ -11,6 +11,9 @@
 @section Introduction
 
-The 
-administration interface manager is ...
+The administration interface manager provides a portable
+interface for some system administrative functions.
+The capabilities in this manager were defined in the POSIX
+1003.1h/D3 proposed standard titled @b{Services for Reliable,
+Available, and Serviceable Systems}.
 
 The directives provided by the administration interface manager are:
@@ -21,4 +24,47 @@
 
 @section Background
+
+@subsection admin_args Structure
+
+@example
+put structure here
+@end example
+
+@table @b
+@item admin_type
+This field ...
+
+@table @b
+@item ADMIN_AUTOBOOT
+This field ...
+
+@item ADMIN_HALT
+This field ...
+
+@item ADMIN_FAST
+This field ...
+
+@item ADMIN_IMMEDIATE
+This field ...
+
+@item ADMIN_ALTSYSTEM
+This field ...
+
+@item ADMIN_ALTCONFIG
+This field ...
+
+@item ADMIN_SYSDUMP
+This field ...
+
+@item ADMIN_INIT
+This field ...
+
+
+@end table
+
+@item admin_data
+This field ...
+
+@end table
 
 @section Operations
@@ -39,6 +85,6 @@
 @example
 int admin_shutdown(
-  struct admin_args_   *args[],
-  size_t                nargs
+  struct admin_args   *args[],
+  size_t               nargs
 );
 @end example
@@ -53,6 +99,5 @@
 @item EINVAL
 An invalid argument was passed to the function call.
-@item ENOSYS
-The function admin_shutdown() is not supported by this implementation.
+
 @item EPERM
 The caller does not have appropriate permission for shutting down the 
@@ -63,19 +108,14 @@
 @subheading DESCRIPTION:
 
-
-If @code{_POSIX_ADMIN} is defined:
-
-   The @code{admin_shutdown} function restarts the system.  The
-   @code{args} argument specifies alternate or optional behavior
-   for the @code{admin_shutdown} function.  The @code{admin_type}
-   member of each element of the @code{args} array specifies the
-   optional behavior to be performed.  There are som @code{admin_types} 
-   values that may provoke unspecified behavior.  The @code{nargs}
-   argument specifies the length of the @code{args} array.
-
-Otherwise:
-
-   The @code{admin_shutdown} function shall fail.
+The @code{admin_shutdown} function restarts the system.  The
+@code{args} argument specifies alternate or optional behavior
+for the @code{admin_shutdown} function.  The @code{admin_type}
+member of each element of the @code{args} array specifies the
+optional behavior to be performed.  There are som @code{admin_types} 
+values that may provoke unspecified behavior.  The @code{nargs}
+argument specifies the length of the @code{args} array.
 
 @subheading NOTES:
 
+The @code{_POSIX_ADMIN} feature flag is defined to indicate
+this service is available.
Index: doc/new_chapters/confspace.t
===================================================================
--- doc/new_chapters/confspace.t	(revision d5ef5bd16fc0f12c11fed7d07ebabc3ead7c6127)
+++ doc/new_chapters/confspace.t	(revision d1a859c0c20ea726ed2f3b2936ff406274bc62a4)
@@ -11,6 +11,9 @@
 @section Introduction
 
-The 
-configuration space manager is ...
+The configuration space manager provides a portable
+interface for manipulating configuration data.
+The capabilities in this manager were defined in the POSIX
+1003.1h/D3 proposed standard titled @b{Services for Reliable,
+Available, and Serviceable Systems}.
 
 The directives provided by the configuration space manager are:
@@ -65,50 +68,52 @@
 @item EPERM
 The caller does not have the appropriate privilege.
+
 @item EACCES
 Search permission is denied for a component of the path prefix.
+
 @item EEXIST
 The file specified by the file argument does not exist
+
 @item ENAMETOOLONG
 A component of a pathname exceeded @code{NAME_MAX} characters,
 or an entire path name exceed @code{PATH_MAX} characters while
 @code{_POSIX_NO_TRUNC} is in effect.
+
 @item ENOENT
 A component of cfgpath does not exist.
+
 @item ENOTDIR
 A component of the file path prefix is not a directory.
+
 @item EBUSY
 The configuration space defined by file is already mounted.
+
 @item EINVAL
 The notification argument specifies an invalid log facility.
-@item ENOSYS
-The cfg_mount() function is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_mount} function maps a configuration space defined
-   by the file identified by the the @code{file} argument.  The 
-   distinguished node of the mapped configuration space shall be
-   mounted in the active space at the point identified bt the
-   @code{cfgpath} configuration pathname.
-
-   The @code{notification} argument specifies how changes to the
-   mapped configuration space shall be communicated to the application.
-   If the @code{notification} argument is NULL, no notification shall
-   be performed for the mapped configuration space.  If the Event
-   Logging option is defined, the notification argument defines the
-   facility to which changes in the mapped configuration space shall
-   be logged.  Otherwise, the @code{notification} argument shall
-   specify an implementation defined method of notifying the application
-   of changes to the mapped configuration space.
-
-Otherwise:
-
-   The @code{cfg_mount} function shall fail.
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{cfg_mount} function maps a configuration space defined
+by the file identified by the the @code{file} argument.  The 
+distinguished node of the mapped configuration space shall be
+mounted in the active space at the point identified bt the
+@code{cfgpath} configuration pathname.
+
+The @code{notification} argument specifies how changes to the
+mapped configuration space shall be communicated to the application.
+If the @code{notification} argument is NULL, no notification shall
+be performed for the mapped configuration space.  If the Event
+Logging option is defined, the notification argument defines the
+facility to which changes in the mapped configuration space shall
+be logged.  Otherwise, the @code{notification} argument shall
+specify an implementation defined method of notifying the application
+of changes to the mapped configuration space.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -133,24 +138,29 @@
 @item EPERM
 The caller does not have the appropriate privileges.
+
 @item EACCES
 Search permission is denied for a component of the path prefix.
+
 @item ENOENT
 A component of cfgpath does not exist.
+
 @item ENAMETOOLONG
 A component of a pathname exceeded @code{NAME_MAX} characters,
 or an entire path name exceed @code{PATH_MAX} characters while
 @code{_POSIX_NO_TRUNC} is in effect.
+
 @item EINVAL
 The requested node is not the distinguished node of a mounted
 configuration space.
+
 @item EBUSY
 One or more processes has an open configuration traversal
 stream for the configuration space whose distinguished node is
 referenced by the cfgpath argument.
-@item ENOSYS
-The cfg_umount function is not supported by this implementation.
+
 @item ELOOP
 A node appears more than once in the path specified by the 
 cfg_path argument
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
@@ -161,16 +171,13 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_umount} function unmaps the configuration space whose 
-   distinguished node is mapped in the active space at the location defined
-   by @code{cfgpatah} configuration pathname.  All system resources 
-   allocated for this configuration space should be deallocated.
-
-Otherwise:
-
-   The @code{cfg_umount} function shall fail.
+The @code{cfg_umount} function unmaps the configuration space whose 
+distinguished node is mapped in the active space at the location defined
+by @code{cfgpatah} configuration pathname.  All system resources 
+allocated for this configuration space should be deallocated.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -199,27 +206,35 @@
 or an entire path name exceed @code{PATH_MAX} characters while
 @code{_POSIX_NO_TRUNC} is in effect.
+
 @item ENOENT
 A compent of the path prefix does not exist.
+
 @item EACCES
 Search permission is denied for a component of the path prefix.
+
 @item ELOOP
 Too many symbolic links were encountered in translating the 
 pathname.
+
 @item EPERM
 The calling process does not have the appropriate privilege.
+
 @item EEXIST
 The named node exists.
+
 @item EINVAL
 The value of mode is invalid.
+
 @item EINVAL
 The value of type is invalid.
-@item ENOSYS
-The function cfg_mknod() is not supported by this implementation.
+
 @item ELOOP
 A node appears more than once in the path specified by the 
 cfg_path argument
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
 resolution of the cfgpath argument.
+
 @item EROFS
 The named node resides on a read-only configuration space.
@@ -229,18 +244,15 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_mknod} function creates a new node in the configuration
-   space which contains the pathname prefix of @code{cfgpath}.  T he node
-   name shall be defined by the pathname suffix of @code{cfgpath}.  The
-   node name shall be defined by the pathname suffix of @code{cfgpath}. 
-   The node permissions shall be specified by the value of @code{mode}.
-   The node type shall be specified by the value of @code{type}.
-
-Otherwise:
-
-   The @code{cfg_mknod} function shall fail.
+The @code{cfg_mknod} function creates a new node in the configuration
+space which contains the pathname prefix of @code{cfgpath}.  T he node
+name shall be defined by the pathname suffix of @code{cfgpath}.  The
+node name shall be defined by the pathname suffix of @code{cfgpath}. 
+The node permissions shall be specified by the value of @code{mode}.
+The node type shall be specified by the value of @code{type}.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -268,15 +280,18 @@
 or an entire path name exceed @code{PATH_MAX} characters while
 @code{_POSIX_NO_TRUNC} is in effect.
+
 @item ENOENT
 A component of cfgpath does not exist.
+
 @item EACCES
 Search permission is denied for a component of the path prefix.
+
 @item EPERM
 The calling process does not have the appropriate priviledges.
-@item ENOSYS
-The function cfg_get() is not supported by this implementation
+
 @item ELOOP
 A node appears more than once in the path specified by the 
 cfg_path argument
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
@@ -287,16 +302,12 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_get} function stores the value attribute of the
-   configuration node identified by @code{cfgpath}, into the buffer
-   described by the @code{value} pointer.
-
-Otherwise:
-
-   The @code{cfg_get} function shall fail.
-
+The @code{cfg_get} function stores the value attribute of the
+configuration node identified by @code{cfgpath}, into the buffer
+described by the @code{value} pointer.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -324,15 +335,18 @@
 or an entire path name exceed @code{PATH_MAX} characters while
 @code{_POSIX_NO_TRUNC} is in effect.
+
 @item ENOENT
 A component of cfgpath does not exist
+
 @item EACCES
 Search permission is denied for a component of the path prefix.
+
 @item EPERM
 The calling process does not have the appropriate privilege.
-@item ENOSYS
-The function cfg_set() is not supported by this implementation.
+
 @item ELOOP
 A node appears more than once in the path specified by the
 cfg-path argument.
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
@@ -343,16 +357,12 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_set} function stores the value specified by the
-   @code{value} argument in the configuration node defined by the 
-   @code{cfgpath} argument.
-
-Otherwise:
-
-   The @code{cfg_set} function shall fail.
-
+The @code{cfg_set} function stores the value specified by the
+@code{value} argument in the configuration node defined by the 
+@code{cfgpath} argument.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -380,36 +390,46 @@
 or an entire path name exceed @code{PATH_MAX} characters while
 @code{_POSIX_NO_TRUNC} is in effect.
+
 @item ENOENT
 A component of either path prefix does not exist.
+
 @item EACCES
 A component of either path prefix denies search permission.
+
 @item EACCES
 The requested link requires writing in a node with a mode that
 denies write permission.
+
 @item ENOENT
 The node named by src does not exist.
+
 @item EEXIST
 The node named by dest does exist.
+
 @item EPERM
 The calling process does not have the appropriate privilege to
 modify the node indicated by the src argument.
+
 @item EXDEV
 The link named by dest and the node named by src are from different
 configuration spaces.
+
 @item ENOSPC
 The node in which the entry for the new link is boeing placed
 cannot be extended because there is no space left on the 
 configuration space containing the node.
+
 @item EIO
 An I/O error occurred while reading from or writing to the 
 configuration space to make the link entry.
+
 @item EROFS
 The requested link requires writing in a node on a read-only
 configuration space.
-@item ENOSYS
-The function cfg_link() is not supported by this implementation. 
+
 @item ELOOP
 A node appears more than once in the path specified by the
 cfg-path argument.
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
@@ -420,23 +440,20 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{src} and @code{dest}arguments point to pathnnames which 
-   name existing nodes.  The @code{cfg_link} function shall atomically 
-   create a link between specified nodes, and increment by one the link 
-   count of the node specified by the @code{src} argument. 
-
-   If the @code{cfg_lin} function fails, no link shall be created, and
-   the link count of the node shall remain unchanged by this function
-   call.
-
-   This implementation may require that the calling process has permission 
-   to access the specified nodes.
-
-Otherwise:
-
-   The @code{cfg_link} functioin shall fail.
+The @code{src} and @code{dest}arguments point to pathnnames which 
+name existing nodes.  The @code{cfg_link} function shall atomically 
+create a link between specified nodes, and increment by one the link 
+count of the node specified by the @code{src} argument. 
+
+If the @code{cfg_link} function fails, no link shall be created, and
+the link count of the node shall remain unchanged by this function
+call.
+
+This implementation may require that the calling process has permission 
+to access the specified nodes.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -462,31 +479,39 @@
 A component of a pathname exceeded @code{NAME_MAX} characters,
 or an entire path name exceed @code{PATH_MAX} characters.
+
 @item ENOENT
 The named  node does not exist.
+
 @item EACCES
 Search permission is denied on the node containing the link to
 be removed.
+
 @item EACCES
 Write permission is denied on the node containing the link to 
 be removed.
+
 @item ENOENT
 A component of cfgpath does not exist.
+
 @item EPERM
 The calling process does not have the appropriate priviledge to 
 modify the node indicated by the path prefix of the cfgpath
 argument.
+
 @item EBUSY
 The node to be unlinked is the distinguished node of a mounted
 configuration space.
+
 @item EIO
 An I/O error occurred while deleting the link entry or deallocating
 the node.
+
 @item EROFS
 The named node resides in a read-opnly configuration space.
-@item ENOSYS
-The function cfg_unlink() is not supported by this implementation.
+
 @item ELOOP
 A node appears more than once in the path specified by the
 cfg-path argument.
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
@@ -497,19 +522,16 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_unlink} function removes the link between the node
-   specified by the @code{cfgpath} path prefix and the parent node 
-   specified by @code{cfgpaht}, and shall decrement the link count 
-   of the @code{cfgpath} node.
-
-   When the link count of the node becomes zero, the space occupied
-   by the node shall be freed and the node shall no longer be accessible.
-
-Otherwise:
-
-   The @code{unlink} function shall fail.
+The @code{cfg_unlink} function removes the link between the node
+specified by the @code{cfgpath} path prefix and the parent node 
+specified by @code{cfgpaht}, and shall decrement the link count 
+of the @code{cfgpath} node.
+
+When the link count of the node becomes zero, the space occupied
+by the node shall be freed and the node shall no longer be accessible.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -537,23 +559,28 @@
 @item EACCES
 Search permission is denied for any component of a pathname.
+
 @item ELOOP
 A loop exists in symbolic links encountered during resolution 
 of a pathname.
+
 @item ENAMETOOLONG
 The length of a pathname exceeds @code{PATH_MAX}, or a pathname
 component is longer than @code{NAME_MAX} while @code{_POSIX_NO_TRUNC}
+
 @item ENOENT
 The pathname argument is an empty string or the named node
 does not exist.
+
 @item EINVAL
 Either both or neither of CFG_LOGICAL and CFG_PHYSICAL are
 specified by the options argument ???????????
+
 @item ENOMEM
 Not enough memory is available to create the necessary structures.
-@item ENOSYS
-The function cfg_open() is not supported by this implementation.
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
 resolution of the pathnames argument.
+
 @item ENAMETOOLONG
 As a result of encountering a symbolic link in resolution of the
@@ -565,72 +592,81 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_open} function shall open a configuration traversal stream
-   rooted in the configuration nodes name by the @code{pathnames} argument.
-   It shall store a pointer to a CFG object that represents that stream at 
-   the location identified the @code{cfgstream} pointer.  The @code{pathnames}
-   argument is an array of character pointers to NULL-terminated strings. 
-   The last member of this array shall be a NULL pointer.
-
-   The value of @code{options} is the bitwise inclusive OR of values from the 
-   following lists.  Applications shall supply exactly one of the first two 
-   values below in @code{options}.
-
-      CFG_LOGICAL   - When symbolic links referencing existing nodes are 
-                      encountered during the traversal, the @code{cfg_info}
-                      field of the returned CFGENT structure shall describe
-                      the target node pointed to by the link instead of the 
-                      link itself, unless the target node does not exist. 
-                      If the target node has children, the pre-order return,
-                      followed by the return of structures referenceing all of
-                      its descendants, followed by a post-order return, shall
-                      be done.
+The @code{cfg_open} function shall open a configuration traversal stream
+rooted in the configuration nodes name by the @code{pathnames} argument.
+It shall store a pointer to a CFG object that represents that stream at 
+the location identified the @code{cfgstream} pointer.  The @code{pathnames}
+argument is an array of character pointers to NULL-terminated strings. 
+The last member of this array shall be a NULL pointer.
+
+The value of @code{options} is the bitwise inclusive OR of values from the 
+following lists.  Applications shall supply exactly one of the first two 
+values below in @code{options}.
+
+@table @b
+
+@item CFG_LOGICAL
+When symbolic links referencing existing nodes are 
+encountered during the traversal, the @code{cfg_info}
+field of the returned CFGENT structure shall describe
+the target node pointed to by the link instead of the 
+link itself, unless the target node does not exist. 
+If the target node has children, the pre-order return,
+followed by the return of structures referenceing all of
+its descendants, followed by a post-order return, shall
+be done.
                     
-      CFG_PHYSICAL  - When symbolic links are encountered during the traversal,
-                      the @code{cfg_info} field shall describe the symbolic 
-                      link.
+@item CFG_PHYSICAL
+When symbolic links are encountered during the traversal,
+the @code{cfg_info} field shall describe the symbolic 
+link.
+
+@end table
                     
 
-   Any combination of the remaining flags can be specified in the value of 
-   @code{options}
-
-      CFG_COMFOLLOW - When symbolic links referencing existing nodes are
-                      specified in the @code{pathnames} argument, the 
-                      @code{cfg_info} field of the returned CFGENT structure
-                      shall describe the target node pointed to by the link
-                      instead of the link itself, unless the target node does
-                      not exist.  If the target node has children, the 
-                      pre-order return, followed by the return of structures
-                      referencing all its descendants, followed by a post-order
-                      return, shall be done.
-
-      CFG_XDEV      - The configuration space functions shall not return a
-                      CFGENT structure for any node in a different configuration
-                      space than the configuration spacce of the nodes identified 
-                      by the CFGENT structures for the @code{pathnames} argument.
-
-   The @code{cfg_open} argument @code{compar} shall either be NULL or point
-   to a function that shall be called with two pointers to pointers to CFGENT 
-   structures that shall return less than, equal to , or greater than zero if 
-   the node referenced by the first argument is considered to be respectively
-   less than, equal to, or greater than the node referenced by the second.
-   The CFGENT structure fields provided to the comparison routine shall be as 
-   described with the exception that the contents of the @code{cfg_path} and
-   @code{cfg_pathlen} fields are unspecified.
-
-   This comparison routine is used to determine the order in which nodes in
-   directories encountered during the traversal are returned, and the order
-   of traversal when more than one node is specified in the @code{pathnames}
-   argument to @code{cfg_open}.  If a comparison routine is specified, the
-   order of traversal shall be from the least to the greatest.  If the 
-   @code{compar} argument is NULL, the order of traversal shall be as listed
-   in the @code{pathnames} argument. 
-
-Otherwise:
-
-   The @code{cfg_open} shall fail.
+Any combination of the remaining flags can be specified in the value of 
+@code{options}
+
+@table @b
+
+@item CFG_COMFOLLOW
+When symbolic links referencing existing nodes are
+specified in the @code{pathnames} argument, the 
+@code{cfg_info} field of the returned CFGENT structure
+shall describe the target node pointed to by the link
+instead of the link itself, unless the target node does
+not exist.  If the target node has children, the 
+pre-order return, followed by the return of structures
+referencing all its descendants, followed by a post-order
+return, shall be done.
+
+@item CFG_XDEV
+The configuration space functions shall not return a
+CFGENT structure for any node in a different configuration
+space than the configuration spacce of the nodes identified 
+by the CFGENT structures for the @code{pathnames} argument.
+
+@end table
+
+The @code{cfg_open} argument @code{compar} shall either be NULL or point
+to a function that shall be called with two pointers to pointers to CFGENT 
+structures that shall return less than, equal to , or greater than zero if 
+the node referenced by the first argument is considered to be respectively
+less than, equal to, or greater than the node referenced by the second.
+The CFGENT structure fields provided to the comparison routine shall be as 
+described with the exception that the contents of the @code{cfg_path} and
+@code{cfg_pathlen} fields are unspecified.
+
+This comparison routine is used to determine the order in which nodes in
+directories encountered during the traversal are returned, and the order
+of traversal when more than one node is specified in the @code{pathnames}
+argument to @code{cfg_open}.  If a comparison routine is specified, the
+order of traversal shall be from the least to the greatest.  If the 
+@code{compar} argument is NULL, the order of traversal shall be as listed
+in the @code{pathnames} argument. 
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -656,19 +692,23 @@
 @item EACCES
 Search permission is denied for any component of a pathname.
+
 @item EBADF
 The cfgp argument does not refer to an open configuration
 space.
+
 @item ELOOP
 A loop exists in symbolic links encountered during resolution
 of a pathname.
+
 @item ENOENT
 A named node does not exist.
+
 @item ENOMEM
 Not enough memory is available to create the necessary structures.
-@item ENOSYS
-The function cfg_read() is not suported by this implementation.
+
 @item ELOOP
 More than @code{SYMLOOP_MAX} symbolic links were encountered during
 resolution of the cfgpath argument.
+
 @item ENAMETOOLONG
 As aresult of encountering a symbolic link in resolution of the
@@ -680,124 +720,170 @@
 @subheading DESCRIPTION:
 
-if @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_read} function returns a pointer to a CFGENT sturcture
-   representing a node in the configuration space to which @code{cfgp}
-   refers.  The returned pointer shall be stored at the location 
-   indicated by the @code{node} argument.
-
-   The child nodes of each node in the configuration tree is returned
-   by @code{cfg_read}.  If a comparison routine is specified to the
-   @code{cfg_open} function, the order of return of the child nodes shall
-   be as specified by the routine, from least to greatest.  Otherwise
-   the order of return is unspecified.
-
-   Structures referencing nodes with children shall be returned by the 
-   function @code{cfg_read} at least twice [unless the application
-   specifies otherwise with @code{cfg_mark}]-once immediately before
-   the structures representing their descendants, are returned 
-   (pre-order), and once immediately after structures representing all
-   of their descendants, if any, are returned (post-order).  The 
-   CFGENT structure returned in post-porder (with the exception of the 
-   @code{cfg_info} field) shall be identical to that returned in pre-order.
-   Structures referencing nodes of other types shall be returned at least
-   once.
-
-   The fields of the CFGENT structure shall contain the following 
-   informatation:
-      cfg_parent  - A pointer to the structure returned by the 
-                    @code{cfg_read} function for the node that contains
-                    the entry for the current node.  A @code{cfg_parent}
-                    structure shall be provided for the node(s) specified
-                    by the @code{pathnames} argument to the @code{cfg_open}
-                    function, but the contents of other than its 
-                    @code{cfg_number}, @code{cfg_pointer}, @code{cfg_parent},
-                    and @code{cfg_parent}, and @code{cfg_level} fields are
-                    unspecified.  Its @code{cfg_link} field is unspecified.
-      cfg_link    - Upon return from the @code{cfg_children} function, the
-                    @code{cfg_link} field points to the next CFGENT structure 
-                    in a NULL-terminated linked list of CFGENT structures.  
-                    Otherwise, the content of the @code{cfg_link} field is 
-                    unspecified.
-      cfg_cycle   - If the structure being returned by @code{cfg_read} 
-                    represents a node that appears in the @code{cfg_parent}
-                    linked list tree, the @code{cfg_cycle} field shall point 
-                    to the structure representing that entry from the 
-                    @code{cfg_parent} linked list.  Otherwise the content of
-                    the @code{cfg_cycle} field is unspecified.
-      cfg_number  - The @code{cfg_number} field is provided for use by the 
-                    application program.  It shall be initialized to zero for 
-                    each new node returned by the @code{cfg_read} function, 
-                    but shall not be further modified the configuration space
-                    routines.
-      cfg_pointer - The @code{cfg_pointer} field is provided for use by the
-                    application program.  It shall be initialized to NULL for
-                    each new node returned by the @code{cfg_read} function, 
-                    but shall not be further modified by the configuration 
-                    space routines.
-      cfg_path    - A pathname for the node including and relative to the 
-                    argument supplied to the @code{cfg_open} routine for this
-                    configuration space.  This pathname may be logner than
-                    @code{PATH_MAX} bytes.  This patname shall be NULL-terminated.
-      cfg_name    - The nodename of the node.
-      cfg_pathlen - The length of the string pointed at by the @code{cfg_path}
-                    field when returned by @code{cfg_read}.
-      cfg_namelen - The length of the string pointed at by the @code{cfg_name}
-                    field.
-      cfg_level   - The depth of the current entry in the configuration space.
-                    The @code{cfg_level} field of the @code{cfg_partent} 
-                    structure for each of the node(s) specified in the 
-                    @code{pathnames} argument to the @code{cfg_open} function
-                    shall be set to 0, and this number shall be incremented for
-                    for each node level descendant.
-      cfg_info    - This field shall contain one of the values listed below.  If
-                    an object can have more than one info value, the first 
-                    appropriate value listed below shall be returned. 
-
-                    CFG_D       - The structure represents a node with children in
-                                  pre-order.
-                    CFG_DC      - The structure represents a node that is a parent
-                                  of the node most recently returned by @code{cfg_read}.
-                                  The @code{cfg_cycle} field shall reference the 
-                                  structure previously returned by @code{cfg_read} that
-                                  is the same as the returned structure.
-                    CFG_DEFAULT - The structure represents a node that is not 
-                                  represented by one of the other node types
-                    CFG_DNR     - The structure represents a node, not of type symlink,
-                                  that is unreadable.   The variable @code{cfg_errno}
-                                  shall be set to the appropriate value.
-                    CFG_DP      - The structure represents a node with children in
-                                  post-order.  This value shall occur only if CFG_D 
-                                  has previously been returned for this entry.
-                    CFG_ERR     - The structure represents a node for which an error has 
-                                  occurred.  The variable @code{cfg_errno} shall be set
-                                  to the appropriate value.
-                    CFG_F       - The structure represents a node without children.
-                    CFG_SL      - The structure represents a node of type symbolic link.
-                    CFG_SLNONET - The structure represents a node of type symbolic link
-                                  with a target node for which node characteristic
-                                  information cannot be obtained.
-
-   Structurres returned by @code{cfg_read} with a @code{cfg_info} field equal to CFG_D
-   shall be accessible until a subsequent call, on the same configuration traversal 
-   stream, to @code{cfg_close}, or to @code{cfg_read} after they have been returned by
-   the @code{cfg_read} function in post-order.  Structures returnded by @code{cfg_read}
-   with an @code{cfg_info} field not equal to CFG_D shall be accessible until a 
-   subsequent call, on the same configuration traversal stream, to @code{cfg_close} or
-   @code{cfg_read}.
-
-   The content of the @code{cfg_path} field is specified only for the structure most
-   recently returned by @code{cfg_read}.
-
-   The specified fields in structures in the list representing nodes for which structures
-   have previously been returned by @code{cfg_children}, shall be identical to those 
-   returned by @code{cfg_children}, except that the contents of the @code{cfg_path} and
-   @code{cfg_pathlen} fields are unspecified.
+The @code{cfg_read} function returns a pointer to a CFGENT sturcture
+representing a node in the configuration space to which @code{cfgp}
+refers.  The returned pointer shall be stored at the location 
+indicated by the @code{node} argument.
+
+The child nodes of each node in the configuration tree is returned
+by @code{cfg_read}.  If a comparison routine is specified to the
+@code{cfg_open} function, the order of return of the child nodes shall
+be as specified by the routine, from least to greatest.  Otherwise
+the order of return is unspecified.
+
+Structures referencing nodes with children shall be returned by the 
+function @code{cfg_read} at least twice [unless the application
+specifies otherwise with @code{cfg_mark}]-once immediately before
+the structures representing their descendants, are returned 
+(pre-order), and once immediately after structures representing all
+of their descendants, if any, are returned (post-order).  The 
+CFGENT structure returned in post-porder (with the exception of the 
+@code{cfg_info} field) shall be identical to that returned in pre-order.
+Structures referencing nodes of other types shall be returned at least
+once.
+
+The fields of the CFGENT structure shall contain the following 
+informatation:
+
+@table @b
+
+@item cfg_parent
+A pointer to the structure returned by the 
+@code{cfg_read} function for the node that contains
+the entry for the current node.  A @code{cfg_parent}
+structure shall be provided for the node(s) specified
+by the @code{pathnames} argument to the @code{cfg_open}
+function, but the contents of other than its 
+@code{cfg_number}, @code{cfg_pointer}, @code{cfg_parent},
+and @code{cfg_parent}, and @code{cfg_level} fields are
+unspecified.  Its @code{cfg_link} field is unspecified.
+
+@item cfg_link
+Upon return from the @code{cfg_children} function, the
+@code{cfg_link} field points to the next CFGENT structure 
+in a NULL-terminated linked list of CFGENT structures.  
+Otherwise, the content of the @code{cfg_link} field is 
+unspecified.
+
+@item cfg_cycle
+If the structure being returned by @code{cfg_read} 
+represents a node that appears in the @code{cfg_parent}
+linked list tree, the @code{cfg_cycle} field shall point 
+to the structure representing that entry from the 
+@code{cfg_parent} linked list.  Otherwise the content of
+the @code{cfg_cycle} field is unspecified.
+
+@item cfg_number
+The @code{cfg_number} field is provided for use by the 
+application program.  It shall be initialized to zero for 
+each new node returned by the @code{cfg_read} function, 
+but shall not be further modified the configuration space
+routines.
+
+@item cfg_pointer
+The @code{cfg_pointer} field is provided for use by the
+application program.  It shall be initialized to NULL for
+each new node returned by the @code{cfg_read} function, 
+but shall not be further modified by the configuration 
+space routines.
+
+@item cfg_path
+A pathname for the node including and relative to the 
+argument supplied to the @code{cfg_open} routine for this
+configuration space.  This pathname may be logner than
+@code{PATH_MAX} bytes.  This patname shall be NULL-terminated.
+
+@item cfg_name
+The nodename of the node.
+
+@item cfg_pathlen
+The length of the string pointed at by the @code{cfg_path}
+field when returned by @code{cfg_read}.
+
+@item cfg_namelen
+The length of the string pointed at by the @code{cfg_name}
+field.
+
+@item cfg_level
+The depth of the current entry in the configuration space.
+The @code{cfg_level} field of the @code{cfg_partent} 
+structure for each of the node(s) specified in the 
+@code{pathnames} argument to the @code{cfg_open} function
+shall be set to 0, and this number shall be incremented for
+for each node level descendant.
+
+@item cfg_info
+This field shall contain one of the values listed below.  If
+an object can have more than one info value, the first 
+appropriate value listed below shall be returned. 
+
+@table @b
+
+@item CFG_D
+The structure represents a node with children in
+pre-order.
+
+@item CFG_DC
+The structure represents a node that is a parent
+of the node most recently returned by @code{cfg_read}.
+The @code{cfg_cycle} field shall reference the 
+structure previously returned by @code{cfg_read} that
+is the same as the returned structure.
+
+@item CFG_DEFAULT
+The structure represents a node that is not 
+represented by one of the other node types
+
+@item CFG_DNR
+The structure represents a node, not of type symlink,
+that is unreadable.  The variable @code{cfg_errno}
+shall be set to the appropriate value.
+
+@item CFG_DP
+The structure represents a node with children in
+post-order.  This value shall occur only if CFG_D 
+has previously been returned for this entry.
+
+@item CFG_ERR
+The structure represents a node for which an error has 
+occurred.  The variable @code{cfg_errno} shall be set
+to the appropriate value.
+
+@item CFG_F
+The structure represents a node without children.
+
+@item CFG_SL
+The structure represents a node of type symbolic link.
+
+@item CFG_SLNONET
+The structure represents a node of type symbolic link
+with a target node for which node characteristic
+information cannot be obtained.
+
+@end table
+
+@end table
+
+Structures returned by @code{cfg_read} with a @code{cfg_info} field equal
+to CFG_D shall be accessible until a subsequent call, on the same
+configuration traversal stream, to @code{cfg_close}, or to @code{cfg_read}
+after they have been returned by the @code{cfg_read} function in
+post-order.  Structures returded by @code{cfg_read} with an
+@code{cfg_info} field not equal to CFG_D shall be accessible until a
+subsequent call, on the same configuration traversal stream, to
+@code{cfg_close} or @code{cfg_read}. 
+
+The content of the @code{cfg_path} field is specified only for the
+structure most recently returned by @code{cfg_read}. 
+
+The specified fields in structures in the list representing nodes for
+which structures have previously been returned by @code{cfg_children},
+shall be identical to those returned by @code{cfg_children}, except that
+the contents of the @code{cfg_path} and @code{cfg_pathlen} fields are
+unspecified. 
          
-Otherwise:
-
-   The @code{cfg_read} function shall fail.
-
-@subheading NOTES:
+@subheading NOTES: 
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -824,49 +910,50 @@
 @item EACCES
 Search permission is denied for any component of a pathname
+
 @item EBADF
 The cfgp argument does not refer to an open configuration space.
+
 @item ELOOP
 A loop exists in symbolic links encountered during resolution of 
 a pathname.
+
 @item ENAMETOOLONG
 The length of a pathname exceeds @code{PATH_MAX}, or a pathname
 component is longer than @code{NAME_MAX} while @code{_POSIX_NO_TRUNC} is
 in effect.
+
 @item EINVAL
 The specified value of the optiions argument is invalid.
+
 @item ENOENT
 The named node does not exist.
+
 @item ENOMEM
 Not enough memory is available to create the necessary structures.
-@item ENOSYS
-The function cfg_children() is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_CFG} is defined:
-
-   The first @code{cfg_children} call after a @code{cfg_read} shall 
-   return information about the first node without children under the
-   node returned by @code{cfg_read}.  Subsequent calls to 
-   @code{cfg_children} without the intervening @code{cfg_read} shall
-   return information about the remaining nodes without children under
-   that same node.
-
-   If @code{cfg_read} has not yet been called for the configuration
-   traversal stream represented by @code{cfgp}, @code{cfg_children}
-   shall return a pointer to the first entry in a list of the nodes 
-   represented by the @code{pathnames} argument to @code{cfg_open}.
-
-   In either case, the list shall be NULL-terminated, ordered by the 
-   user-specified comparison function, if any, and linked through the
-   cfg_link field.
-
-Otherwise:
-
-   The @code{cfg_children} function shall fail.
+
+@end table
+
+@subheading DESCRIPTION:
+
+The first @code{cfg_children} call after a @code{cfg_read} shall 
+return information about the first node without children under the
+node returned by @code{cfg_read}.  Subsequent calls to 
+@code{cfg_children} without the intervening @code{cfg_read} shall
+return information about the remaining nodes without children under
+that same node.
+
+If @code{cfg_read} has not yet been called for the configuration
+traversal stream represented by @code{cfgp}, @code{cfg_children}
+shall return a pointer to the first entry in a list of the nodes 
+represented by the @code{pathnames} argument to @code{cfg_open}.
+
+In either case, the list shall be NULL-terminated, ordered by the 
+user-specified comparison function, if any, and linked through the
+cfg_link field.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -894,66 +981,69 @@
 The specified combination of the cfgp and f arguments is not 
 supported by the implementation.
+
 @item EINVAL
 The specified value of the options argument is invalid.
-@item ENOSYS
-The function cfg_mark() is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_CF} is defined:
-
-   The @code{cfg_mark} function modifies the subsequent behavior of
-   the cfg functions with regard to the node referenced by the structure
-   pointed to by the argument @code{f} or the configuration space referenced 
-   by the structure pointed to by the argument @code{cfgp}.
-
-   Exactly one of the @code{f} argument and the @code{cfgp} argument shall
-   be NULL.
-
-   The value of the @code{options} argument shall be exactly one of the
-   flags specified in the following list: 
-
-      CFG_AGAIN  - If the @code{cfgp} argument is non-NULL, or the @code{f}
-                   argument is NULL, or the structure referenced by @code{f}
-                   is not the one most recently returned by @code{cfg_read},
-                   @code{cfg_mark} ahall return an error.  Otherwise, the next 
-                   call to teh @code{cfg_read} function shall return the 
-                   structure referenced by @code{f} with the @code{cfg_info}
-                   field reinitialized.  Subsequent behavior of the @code{cfg}
-                   functions shall be based on the reinitialized value of 
-                   @code{cfg_ingo}.
-
-      CFG_SKIP   - If the @code{cfgp} argument is non-NULL, or the @code{f}
-                   argument is NULL, or the structure referenced by @code{f}
-                   is not one of those specified as accessible, or the structure
-                   referenced by @code{f} is not for a node of type pre-order 
-                   node, @code{cfg_mark} shall return an error.  Otherwise, no 
-                   more structures for the node referenced by @code{f} or its 
-                   descendants shall be returned by the @code{cfg_read} function.
-
-      CFG_FOLLOW - If the @code{cfgp} argument is non-NULL, or the @code{f} 
-                   argument is NULL, or the structure referenced by @code{f}
-                   is not one of those specified as accessible, or the structure
-                   referenced by @code{f} is not for a node of type symbolic link,
-                   @code{cfg_mark} shall return an error.  Otherwise, the next
-                   call to the @code{cfg_read} function shall return the structure
-                   referenced by @code{f} with the @code{cfg_info} field reset
-                   to reflect the target of the symbolic link instead of the 
-                   symbolic link itself.  If the target of the link is node with
-                   children, the pre-order return, followed by the return of 
-                   structures referencing all of its descendants, followed by a 
-                   post-order return, shall be don.
-
-                   If the target of the symbolic link does not exist, the fields
-                   of the structure by @code{cfg_read} shall be unmodified, except
-                   that the @code{cfg_info} field shall be reset to @code{CFG_SLNONE}.
-
-Otherwise:
-   
-   The @code{cfg_mark} function shall fail.
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{cfg_mark} function modifies the subsequent behavior of
+the cfg functions with regard to the node referenced by the structure
+pointed to by the argument @code{f} or the configuration space referenced 
+by the structure pointed to by the argument @code{cfgp}.
+
+Exactly one of the @code{f} argument and the @code{cfgp} argument shall
+be NULL.
+
+The value of the @code{options} argument shall be exactly one of the
+flags specified in the following list: 
+
+@table @b
+
+@item CFG_AGAIN
+If the @code{cfgp} argument is non-NULL, or the @code{f}
+argument is NULL, or the structure referenced by @code{f}
+is not the one most recently returned by @code{cfg_read},
+@code{cfg_mark} ahall return an error.  Otherwise, the next 
+call to teh @code{cfg_read} function shall return the 
+structure referenced by @code{f} with the @code{cfg_info}
+field reinitialized.  Subsequent behavior of the @code{cfg}
+functions shall be based on the reinitialized value of 
+@code{cfg_ingo}.
+
+@item CFG_SKIP
+If the @code{cfgp} argument is non-NULL, or the @code{f}
+argument is NULL, or the structure referenced by @code{f}
+is not one of those specified as accessible, or the structure
+referenced by @code{f} is not for a node of type pre-order 
+node, @code{cfg_mark} shall return an error.  Otherwise, no 
+more structures for the node referenced by @code{f} or its 
+descendants shall be returned by the @code{cfg_read} function.
+
+@item CFG_FOLLOW
+If the @code{cfgp} argument is non-NULL, or the @code{f} 
+argument is NULL, or the structure referenced by @code{f}
+is not one of those specified as accessible, or the structure
+referenced by @code{f} is not for a node of type symbolic link,
+@code{cfg_mark} shall return an error.  Otherwise, the next
+call to the @code{cfg_read} function shall return the structure
+referenced by @code{f} with the @code{cfg_info} field reset
+to reflect the target of the symbolic link instead of the 
+symbolic link itself.  If the target of the link is node with
+children, the pre-order return, followed by the return of 
+structures referencing all of its descendants, followed by a 
+post-order return, shall be done.
+
+@end table
+
+If the target of the symbolic link does not exist, the fields
+of the structure by @code{cfg_read} shall be unmodified, except
+that the @code{cfg_info} field shall be reset to @code{CFG_SLNONE}.
 
 @subheading NOTES:
+
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -979,23 +1069,17 @@
 The cfgp argument does not refer to an open configuration space
 traversal stream.
-@item ENOSYS
-The function cfg_close() is not supported by this implementatioin.
-
-@end table
-
-@subheading DESCRIPTION:
-
-if @code{_POSIX_CFG} is defined:
-
-   The @code{cfg_close} function closes a configuration space transversal
-   stream represented by the CFG structure pointed at by the @code{cfgp}
-   argument.  All system resources allocated for this configuration space
-   travsversal stream should be deallocated.  Upon return, the value of 
-   @code{cfgp} need not point to an accessible object of type CFG.
-
-Otherwise:
-
-   The @code{cfg_close} function shall fail.
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{cfg_close} function closes a configuration space transversal
+stream represented by the CFG structure pointed at by the @code{cfgp}
+argument.  All system resources allocated for this configuration space
+travsversal stream should be deallocated.  Upon return, the value of 
+@code{cfgp} need not point to an accessible object of type CFG.
 
 @subheading NOTES:
 
+The @code{_POSIX_CFG} feature flag is defined to indicate
+this service is available.
Index: doc/new_chapters/dumpcontrol.t
===================================================================
--- doc/new_chapters/dumpcontrol.t	(revision d5ef5bd16fc0f12c11fed7d07ebabc3ead7c6127)
+++ doc/new_chapters/dumpcontrol.t	(revision d1a859c0c20ea726ed2f3b2936ff406274bc62a4)
@@ -11,6 +11,9 @@
 @section Introduction
 
-The 
-process dump control manager is ...
+The process dump control manager provides a portable
+interface for changing the path to which a process dump
+is written.  The capabilities in this manager were defined in
+the POSIX 1003.1h/D3 proposed standard titled @b{Services for Reliable,
+Available, and Serviceable Systems}.
 
 The directives provided by the process dump control manager are:
@@ -54,14 +57,16 @@
 or write permission is denied on the directory containing the 
 file.
+
 @item ENAMETOOLONG
 The length of the argument exceeds @code{PATH_MAX} or a pathname
 component is longer than @code{NAME_MAX} while @code{_POSIX_NO_TRUNC}
 is in effect.
+
 @item ENOENT
 The path argument points to an empty string.
-@item ENOSYS
-The function dump_setpath() is not suppo9rted by this implementation.
+
 @item ENOTDIR
 A component of the path prefix is not a directory.
+
 @item EROFS
 The directory entry specified resides on a read-only file system.
@@ -71,21 +76,17 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_DUMP} is defined:
+The @code{dump_setpath} function defines the pathname where process
+dumps are written.  The pathname pointed to by @code{path} shall 
+define where a process dump file will be written if the calling 
+process terminates with a dump file.  The @code{path} argument 
+shall not name a directory.
 
-   The @code{dump_setpath} function defines the pathname where process
-   dumps are written.  The pathname pointed to by @code{path} shall 
-   define where a process dump file will be written if the calling 
-   process terminates with a dump file.  The @code{path} argument 
-   shall not name a directory.
-
-   If the @code{path} argument is NULL, the system shall not write a
-   process dump file if the calling process terminates with a dump 
-   file.  If the @code{dump_setpath} function fails, the pathname for
-   writing process dumps shall not change.
-
-Otherwise:
-
-   The @code{dump_setpath} function shall fail.
+If the @code{path} argument is NULL, the system shall not write a
+process dump file if the calling process terminates with a dump 
+file.  If the @code{dump_setpath} function fails, the pathname for
+writing process dumps shall not change.
 
 @subheading NOTES:
 
+The @code{_POSIX_DUMP} feature flag is defined to indicate
+this service is available.
Index: doc/new_chapters/eventlog.t
===================================================================
--- doc/new_chapters/eventlog.t	(revision d5ef5bd16fc0f12c11fed7d07ebabc3ead7c6127)
+++ doc/new_chapters/eventlog.t	(revision d1a859c0c20ea726ed2f3b2936ff406274bc62a4)
@@ -11,6 +11,9 @@
 @section Introduction
 
-The 
-event logging manager is ...
+The event logging manager provides a portable method for logging
+system and appplication events and subsequent processing of those
+events.  The capabilities in this manager were defined in the POSIX
+1003.1h/D3 proposed standard titled @b{Services for Reliable,
+Available, and Serviceable Systems}.
 
 The directives provided by the event logging manager are:
@@ -33,5 +36,34 @@
 @section Background
 
+@subsection Log Files and Events
+
+System log
+
+Non-system logs
+
+Events, facility, severity
+
+@subsection Queries
+
 @section Operations
+
+@subsection Creating and Writing a non-System Log
+
+Discuss creating and writing to a non-system log.
+
+@example
+  log_create
+  log_write loop
+@end example
+
+@subsection Reading a Log
+
+Discuss opening and reading from a log.
+
+@example
+  build a query
+  log_open
+  log_read loop
+@end example
 
 @section Directives
@@ -67,15 +99,18 @@
 @item EINVAL
 The facility argument is not a valid log_facility.
+
 @item EINVAL
 The severity argument exceeds @code{LOG_SEVERITY_MAX}
+
 @item EINVAL
 The len argument exceeds @code{LOG_ENTRY_MAXLEN}
+
 @item ENOSPC
 The log file has run out of space on the device.
-@item ENOSYS
-The function log_write() is not supported by this implementation.
+
 @item EPERM
 The caller does not have appropriate permission for writing to
 the given facility.
+
 @item EIO
 An I/O error occurred in writing to the system event log.
@@ -85,44 +120,41 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_LOGGING} is defined:
-
-   The @code{log_write} function writes an event record, consisting 
-   of event attributes, and the data identified by the @code{buf} 
-   argument, to the system log.  The @code{len} argument specifies
-   the length in bytes of the buffer pointed to by @code{buf}.  The
-   @code{len} argument shall specify the value of the event record
-   length attribute.  The value of @code{len} shall be less than or 
-   equal to @code{LOG_ENTRY_MAXLEN} or the @code{log_write} shall fail.
-
-   The @code{event_id} argument identifies the type of event record
-   being written.  The @code{event_id} argument shall specify the value
-   of the event ID attribute of the event record.
-
-   The argument @code{facility} indicates the facility from which the
-   event type is drawn.  The @code{facility} aargument shall specify the
-   value of the event record facility attribute.  The value of the
-   @code{facility} argument shall be a valid log facility or the 
-   @code{log_write} function shall fail.
-
-   The @code{severity} argument indicates the severity level of the
-   event record.  The @code{severity} argument shall specify the value
-   of the event record severity attribute.  The value of the 
-   @code{severity} argument shall be less than or equal to 
-   @code{LOG_SEVERITY_MAX} or the @code{log_write} function shall fail.  
-
-   The effective_UID of the calling process shall specify the event
-   record UID attribute.  The efective-GID of the calling process 
-   shall specify the event record GID attribute.  The process ID
-   of the calling process shall specify the event record process ID
-   attribute.  The process group ID of the calling process shall
-   specify the event record process group ID attribute.  The current
-   value of the system clock shall specify the event record timestamp
-   attribute.
-
-Otherwise:
-
-   The @code{log_write} function shall fail.
-
-@subheading NOTES:
+The @code{log_write} function writes an event record, consisting 
+of event attributes, and the data identified by the @code{buf} 
+argument, to the system log.  The @code{len} argument specifies
+the length in bytes of the buffer pointed to by @code{buf}.  The
+@code{len} argument shall specify the value of the event record
+length attribute.  The value of @code{len} shall be less than or 
+equal to @code{LOG_ENTRY_MAXLEN} or the @code{log_write} shall fail.
+
+The @code{event_id} argument identifies the type of event record
+being written.  The @code{event_id} argument shall specify the value
+of the event ID attribute of the event record.
+
+The argument @code{facility} indicates the facility from which the
+event type is drawn.  The @code{facility} aargument shall specify the
+value of the event record facility attribute.  The value of the
+@code{facility} argument shall be a valid log facility or the 
+@code{log_write} function shall fail.
+
+The @code{severity} argument indicates the severity level of the
+event record.  The @code{severity} argument shall specify the value
+of the event record severity attribute.  The value of the 
+@code{severity} argument shall be less than or equal to 
+@code{LOG_SEVERITY_MAX} or the @code{log_write} function shall fail.  
+
+The effective_UID of the calling process shall specify the event
+record UID attribute.  The efective-GID of the calling process 
+shall specify the event record GID attribute.  The process ID
+of the calling process shall specify the event record process ID
+attribute.  The process group ID of the calling process shall
+specify the event record process group ID attribute.  The current
+value of the system clock shall specify the event record timestamp
+attribute.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -150,65 +182,69 @@
 Search permission is denied on a component of the path prefix,
 or the log file exists and read permission is denied.
+
 @item  EINTR
 A signal interrupted the call to log_open().
+
 @item EINVAL
 The log_facility field of the query argument is not a valid 
 facility set.
+
 @item EINVAL
 The log_severity field of the query argument exceeds 
 @code{LOG_SEVERITY_MAX}.
+
 @item EINVAL
 The path argument referred to a file that was not a log file.
+
 @item EMFILE
 Too many log file descriptors are currently in use by this
 process.
+
 @item ENAMETOOLONG
 The length of the path string exceeds @code{PATH_MAX}, or a pathname
 component is longer than @code{NAME_MAX} while @code{_POSIX_NO_TRUNC} is
 in effect.
+
 @item ENFILE
 Too many files are currently open in the system.
+
 @item ENOENT
 The file specified by the path argument does not exist.
+
 @item ENOTDIR
 A component of the path prefix is not a directory.
-@item ENOSYS
-The function log_open() is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The @code{log_open} function establishes the connection between a 
-   log file and a log file descriptor.  It creates an open log file 
-   description that refers to a log file and a log file descriptor that
-   refers to that open log file description.  The log file descriptor is
-   used by other log functions to refer to that log file.  The @code{path}
-   argument points to a pathname naming a log file.  A @code{path}
-   argument of NULL specifies the current system log file.  
-
-   The @code{query} argument points to a log query specification that
-   restricts log operations using the returned log file descriptor to 
-   to event records from the log file which match the query.  The 
-   predicate which determines the success of the match operation is the
-   logical AND of the individual comparison predicates for each member
-   of the log query specification.  The query attribute of the open file
-   description is set to filter as specified by the @code{query} argument.
-   If the value of the query argument is not NULL, the value of the 
-   @code{log_facility} member of the @code{query} specification shall be
-   a set of valid log facilities or the @code{log_open} shall fail.  If
-   the value of the @code{query} argument is not NULL, the value of the
-   @code{log_severity} member of the @code{query} specification shall be
-   less than or equal to @code{LOG_SEVERITY_MAX} or the @code{log_open}
-   shall fail.  If the value of the @code{query} argument is NULL, no
-   query filter shall be applied. 
-
-Otherwise:
-
-   The @code{log_open} shall fail.
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{log_open} function establishes the connection between a 
+log file and a log file descriptor.  It creates an open log file 
+description that refers to a log file and a log file descriptor that
+refers to that open log file description.  The log file descriptor is
+used by other log functions to refer to that log file.  The @code{path}
+argument points to a pathname naming a log file.  A @code{path}
+argument of NULL specifies the current system log file.  
+
+The @code{query} argument points to a log query specification that
+restricts log operations using the returned log file descriptor to 
+to event records from the log file which match the query.  The 
+predicate which determines the success of the match operation is the
+logical AND of the individual comparison predicates for each member
+of the log query specification.  The query attribute of the open file
+description is set to filter as specified by the @code{query} argument.
+If the value of the query argument is not NULL, the value of the 
+@code{log_facility} member of the @code{query} specification shall be
+a set of valid log facilities or the @code{log_open} shall fail.  If
+the value of the @code{query} argument is not NULL, the value of the
+@code{log_severity} member of the @code{query} specification shall be
+less than or equal to @code{LOG_SEVERITY_MAX} or the @code{log_open}
+shall fail.  If the value of the @code{query} argument is NULL, no
+query filter shall be applied. 
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -237,12 +273,13 @@
 @item EBADF
 The logdes argument is not a valid log file descriptor.
+
 @item EBUSY
 No data available.  The open log file descriptor references
 the current system log.  and there are no unread event records
 remaining.
+
 @item EINTR
 A signal interrupted the call to log_read().
-@item ENOSYS
-The function log_read() is not supported by this implementation.
+
 @item EIO
 An I/O error occurred in reading from the event log.
@@ -252,34 +289,30 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_LOGGING} is defined:
-
-   The @code{log_read} function shall attempt to read the @code{log_entry}
-   structure and @code{log_len} bytes of data from the next event record 
-   of the log file associated with the open log file descriptor @code{logdes},
-   placing the @code{log_entry} structure into the buffer pointed to by
-   @code{entry}, and the data into the buffer pointed to by @code{log_buf}.
-   The log record ID of the returned event record shall be stored in the 
-   @code{log_recied} member of the @code{log_entry} structure for the event
-   record.
-
-   If the query attribute of the open log file description associated with
-   the @code{logdes} is set, the event record read shall match that query.
-   If the @code{entry} argument is not NULL it will point to a @code{log_entry}
-   structure which sall be filled with the creation information for this log
-   entry.  If the argument @code{log_buf} is not NULL the data written with the
-   log entry will be placed in the buffer.  The size of the buffer is specified
-   by the argument @code{log_len}.
-
-   If the @code{log_read} is successful the call shall store the actual length
-   of the data associated with the event record into the location specified by
-   @code{log_sizeread}.  This number may be smaller or greater than 
-   @code{log_len}.
-
-Otherwise:
-
-   The @code{log_read} function shall fail.
-
-
-@subheading NOTES:
+The @code{log_read} function shall attempt to read the @code{log_entry}
+structure and @code{log_len} bytes of data from the next event record 
+of the log file associated with the open log file descriptor @code{logdes},
+placing the @code{log_entry} structure into the buffer pointed to by
+@code{entry}, and the data into the buffer pointed to by @code{log_buf}.
+The log record ID of the returned event record shall be stored in the 
+@code{log_recied} member of the @code{log_entry} structure for the event
+record.
+
+If the query attribute of the open log file description associated with
+the @code{logdes} is set, the event record read shall match that query.
+If the @code{entry} argument is not NULL it will point to a @code{log_entry}
+structure which sall be filled with the creation information for this log
+entry.  If the argument @code{log_buf} is not NULL the data written with the
+log entry will be placed in the buffer.  The size of the buffer is specified
+by the argument @code{log_len}.
+
+If the @code{log_read} is successful the call shall store the actual length
+of the data associated with the event record into the location specified by
+@code{log_sizeread}.  This number may be smaller or greater than 
+@code{log_len}.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -305,9 +338,12 @@
 @item EBADF
 The logdes arfument is not a valid log file descriptor.
+
 @item EINVAL
 The notification argument specifies an invalid signal.
+
 @item EINVAL
 The process has requested a notify on a log that will not be
 written to.
+
 @item ENOSY
 The function log_notify() is not supported by this implementation.
@@ -317,27 +353,23 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_LOGGING} is defined:
-  
-   If the argument @code{notification} is not NULL this function registers 
-   the calling process to be notified of event records received by the system 
-   log, which match the query parameters associated with the open log descriptor
-   specified by @code{logdes}.  The notification specified by the 
-   @code{notification} argument shall be sent to the process when an event 
-   record received by the system log is matched by the query attribute of the 
-   open log file description associated with the @code{logdes} log file 
-   descriptor.  If the calling process has already registered a notification
-   for the @code{logdes} log file descriptor, the new notification shall 
-   replace the existing notification registration.
-
-   If the @code{notification} argument is NULL and the calling process is 
-   currently registered to be notified for the @code{logdes} log file
-   descriptor, the existing registration shall be removed.
-
-Otherwise:
-
-   The @code{log_notify} function shall fail.
-   
-
-@subheading NOTES:
+If the argument @code{notification} is not NULL this function registers 
+the calling process to be notified of event records received by the system 
+log, which match the query parameters associated with the open log descriptor
+specified by @code{logdes}.  The notification specified by the 
+@code{notification} argument shall be sent to the process when an event 
+record received by the system log is matched by the query attribute of the 
+open log file description associated with the @code{logdes} log file 
+descriptor.  If the calling process has already registered a notification
+for the @code{logdes} log file descriptor, the new notification shall 
+replace the existing notification registration.
+
+If the @code{notification} argument is NULL and the calling process is 
+currently registered to be notified for the @code{logdes} log file
+descriptor, the existing registration shall be removed.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -362,31 +394,26 @@
 @item EBADF
 The logdes argument is not a valid log file descriptor.
-@item ENOSYS
-The function log_close() is not supported by t his implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The @code{log_close} function deallocates the open log file descriptor 
-   indicated by @code{log_des}.
-
-   When all log file descriptors associated with an open log file description
-   have been closed, the open log file description shall be freed.
-
-   If the link count of the log file is zero, when all log file descriptors
-   have been closed, the space occupied by the log file shall be freed and the
-   log file shall no longer be accessible.
-
-   If the process has successfully registered a notification request for the 
-   log file descriptor, the registration shall be removed. 
-
-Otherwise:
-
-   The @code{log_close} function shall fail.
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{log_close} function deallocates the open log file descriptor 
+indicated by @code{log_des}.
+
+When all log file descriptors associated with an open log file description
+have been closed, the open log file description shall be freed.
+
+If the link count of the log file is zero, when all log file descriptors
+have been closed, the space occupied by the log file shall be freed and the
+log file shall no longer be accessible.
+
+If the process has successfully registered a notification request for the 
+log file descriptor, the registration shall be removed. 
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -412,34 +439,39 @@
 @item EBADF
 The logdes argument is not a valid log file descriptor.
+
 @item EINTR
 The log_seek() function was interrupted by a signal.
+
 @item EINVAL
 The log_recid argument is not a valid record id.
-@item ENOSYS
-The function log_seek() is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The @code{log_seek} function shall set the log file offset of the open 
-   log descriptioin associated with the @code{logdes} log file descriptor 
-   to the event record in the log file identified by @code{log_recid}.  
-   The @code{log_recid} argument is either the record id of a valid event
-   record or one of the following values, as defined in the header <evlog.h>:
-      LOG_SEEK_START - Set log file position to point at the first event
-                       record in the log file
-      LOG_SEEK_END   - Set log file position to point after the last event 
-                       record in the log file
-   If the @code{log_seek} function is interrupted, the state of the open log
-   file description associated with @code{logdes} is unspecified.
-
-Otherwise:
-
-   The @code{log_seek} function shall fail.
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{log_seek} function shall set the log file offset of the open 
+log descriptioin associated with the @code{logdes} log file descriptor 
+to the event record in the log file identified by @code{log_recid}.  
+The @code{log_recid} argument is either the record id of a valid event
+record or one of the following values, as defined in the header <evlog.h>:
+
+@table @b
+@item LOG_SEEK_START
+Set log file position to point at the first event
+record in the log file
+
+@item LOG_SEEK_END
+Set log file position to point after the last event 
+record in the log file
+
+@end table
+
+If the @code{log_seek} function is interrupted, the state of the open log
+file description associated with @code{logdes} is unspecified.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -465,28 +497,22 @@
 @item EINVAL 
 The value of either s1 or s2 exceeds @code{LOG_SEVERITY_MAX}.
-@item ENOSYS
-The function log_severity_before() is not supported by this 
-implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The @code{log_severity_before} function shall compare the severity order
-   of the @code{s1} and @code{s2} arguments.  Severity values ordered 
-   according to this function shall be according to decreasing severity.
-
-   If @code{s1} is ordered before or is equal to @code{s2} then the ordering
-   predicate shall return 1, otherwise the predicate shall return 0.  If 
-   either @code{s1} or @code{s2} specify invlid severity values, the return
-   value of @code{log_severity_before} is unspecified.
-
-Otherwise:
-    
-   The @code{log_severity_before} function shall fail. 
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The @code{log_severity_before} function shall compare the severity order
+of the @code{s1} and @code{s2} arguments.  Severity values ordered 
+according to this function shall be according to decreasing severity.
+
+If @code{s1} is ordered before or is equal to @code{s2} then the ordering
+predicate shall return 1, otherwise the predicate shall return 0.  If 
+either @code{s1} or @code{s2} specify invlid severity values, the return
+value of @code{log_severity_before} is unspecified.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -511,47 +537,42 @@
 @item EINVAL
 The facilityno argument is not a valid facility.
-@item ENOSYS
-The function is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The facilitysetops primitives manipulate sets of facilities.  They 
-   operate on data objects addressable by the application.
-
-   The @code{log_facilityemptyset} function initializes the facility
-   set pointed to by the argument @code{set}, such that all facilties
-   are included.
-
-   Applications shall call either @code{log_facilityemptyset} or 
-   @code{log_cacilityfillset} at least once for each object of type
-   @code{log_facilityset_t} prior to any other use of that object.  If
-   such an object is not initialized in this way, but is nonetheless 
-   supplied as an argument  to any of the @code{log_facilityaddset}, 
-   @code{logfacilitydelset}, @code{log_facilityismember} or 
-   @code{log_open} functions, the results are undefined.
-
-   The @code{log_facilityaddset} and @code{log_facilitydelset} functions
-   respectively add or delete the individual facility specified by the
-   value of the argument @code{facilityno} to or from the facility set
-   pointed to by the argument @code{set}
-
-   The @code{log_facilityismember} function tests whether the facility
-   specified by the value of the argument @code{facilityno} is a member
-   of the set pointed to by the argument @code{set}.  Upon successful
-   completion, the @code{log_facilityismember} function either returns
-   a value of one to the location specified by @code{member} if the 
-   specified facility is a member of the specified set or returns a 
-   value of zero to the location specified by @code{member} if the
-   specified facility is not a member of the specified set.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The facilitysetops primitives manipulate sets of facilities.  They 
+operate on data objects addressable by the application.
+
+The @code{log_facilityemptyset} function initializes the facility
+set pointed to by the argument @code{set}, such that all facilties
+are included.
+
+Applications shall call either @code{log_facilityemptyset} or 
+@code{log_facilityfillset} at least once for each object of type
+@code{log_facilityset_t} prior to any other use of that object.  If
+such an object is not initialized in this way, but is nonetheless 
+supplied as an argument  to any of the @code{log_facilityaddset}, 
+@code{logfacilitydelset}, @code{log_facilityismember} or 
+@code{log_open} functions, the results are undefined.
+
+The @code{log_facilityaddset} and @code{log_facilitydelset} functions
+respectively add or delete the individual facility specified by the
+value of the argument @code{facilityno} to or from the facility set
+pointed to by the argument @code{set}
+
+The @code{log_facilityismember} function tests whether the facility
+specified by the value of the argument @code{facilityno} is a member
+of the set pointed to by the argument @code{set}.  Upon successful
+completion, the @code{log_facilityismember} function either returns
+a value of one to the location specified by @code{member} if the 
+specified facility is a member of the specified set or returns a 
+value of zero to the location specified by @code{member} if the
+specified facility is not a member of the specified set.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -576,47 +597,42 @@
 @item EINVAL
 The facilityno argument is not a valid facility.
-@item ENOSYS
-The function is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The facilitysetops primitives manipulate sets of facilities.  They 
-   operate on data objects addressable by the application.
-
-   The @code{log_facilityemptyset} function initializes the facility
-   set pointed to by the argument @code{set}, such that all facilties
-   are included.
-
-   Applications shall call either @code{log_facilityemptyset} or 
-   @code{log_cacilityfillset} at least once for each object of type
-   @code{log_facilityset_t} prior to any other use of that object.  If
-   such an object is not initialized in this way, but is nonetheless 
-   supplied as an argument  to any of the @code{log_facilityaddset}, 
-   @code{logfacilitydelset}, @code{log_facilityismember} or 
-   @code{log_open} functions, the results are undefined.
-
-   The @code{log_facilityaddset} and @code{log_facilitydelset} functions
-   respectively add or delete the individual facility specified by the
-   value of the argument @code{facilityno} to or from the facility set
-   pointed to by the argument @code{set}
-
-   The @code{log_facilityismember} function tests whether the facility
-   specified by the value of the argument @code{facilityno} is a member
-   of the set pointed to by the argument @code{set}.  Upon successful
-   completion, the @code{log_facilityismember} function either returns
-   a value of one to the location specified by @code{member} if the 
-   specified facility is a member of the specified set or returns a 
-   value of zero to the location specified by @code{member} if the
-   specified facility is not a member of the specified set.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The facilitysetops primitives manipulate sets of facilities.  They 
+operate on data objects addressable by the application.
+
+The @code{log_facilityemptyset} function initializes the facility
+set pointed to by the argument @code{set}, such that all facilties
+are included.
+
+Applications shall call either @code{log_facilityemptyset} or 
+@code{log_facilityfillset} at least once for each object of type
+@code{log_facilityset_t} prior to any other use of that object.  If
+such an object is not initialized in this way, but is nonetheless 
+supplied as an argument  to any of the @code{log_facilityaddset}, 
+@code{logfacilitydelset}, @code{log_facilityismember} or 
+@code{log_open} functions, the results are undefined.
+
+The @code{log_facilityaddset} and @code{log_facilitydelset} functions
+respectively add or delete the individual facility specified by the
+value of the argument @code{facilityno} to or from the facility set
+pointed to by the argument @code{set}
+
+The @code{log_facilityismember} function tests whether the facility
+specified by the value of the argument @code{facilityno} is a member
+of the set pointed to by the argument @code{set}.  Upon successful
+completion, the @code{log_facilityismember} function either returns
+a value of one to the location specified by @code{member} if the 
+specified facility is a member of the specified set or returns a 
+value of zero to the location specified by @code{member} if the
+specified facility is not a member of the specified set.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -642,47 +658,42 @@
 @item EINVAL
 The facilityno argument is not a valid facility.
-@item ENOSYS
-The function is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The facilitysetops primitives manipulate sets of facilities.  They 
-   operate on data objects addressable by the application.
-
-   The @code{log_facilityemptyset} function initializes the facility
-   set pointed to by the argument @code{set}, such that all facilties
-   are included.
-
-   Applications shall call either @code{log_facilityemptyset} or 
-   @code{log_cacilityfillset} at least once for each object of type
-   @code{log_facilityset_t} prior to any other use of that object.  If
-   such an object is not initialized in this way, but is nonetheless 
-   supplied as an argument  to any of the @code{log_facilityaddset}, 
-   @code{logfacilitydelset}, @code{log_facilityismember} or 
-   @code{log_open} functions, the results are undefined.
-
-   The @code{log_facilityaddset} and @code{log_facilitydelset} functions
-   respectively add or delete the individual facility specified by the
-   value of the argument @code{facilityno} to or from the facility set
-   pointed to by the argument @code{set}
-
-   The @code{log_facilityismember} function tests whether the facility
-   specified by the value of the argument @code{facilityno} is a member
-   of the set pointed to by the argument @code{set}.  Upon successful
-   completion, the @code{log_facilityismember} function either returns
-   a value of one to the location specified by @code{member} if the 
-   specified facility is a member of the specified set or returns a 
-   value of zero to the location specified by @code{member} if the
-   specified facility is not a member of the specified set.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The facilitysetops primitives manipulate sets of facilities.  They 
+operate on data objects addressable by the application.
+
+The @code{log_facilityemptyset} function initializes the facility
+set pointed to by the argument @code{set}, such that all facilties
+are included.
+
+Applications shall call either @code{log_facilityemptyset} or 
+@code{log_facilityfillset} at least once for each object of type
+@code{log_facilityset_t} prior to any other use of that object.  If
+such an object is not initialized in this way, but is nonetheless 
+supplied as an argument  to any of the @code{log_facilityaddset}, 
+@code{logfacilitydelset}, @code{log_facilityismember} or 
+@code{log_open} functions, the results are undefined.
+
+The @code{log_facilityaddset} and @code{log_facilitydelset} functions
+respectively add or delete the individual facility specified by the
+value of the argument @code{facilityno} to or from the facility set
+pointed to by the argument @code{set}
+
+The @code{log_facilityismember} function tests whether the facility
+specified by the value of the argument @code{facilityno} is a member
+of the set pointed to by the argument @code{set}.  Upon successful
+completion, the @code{log_facilityismember} function either returns
+a value of one to the location specified by @code{member} if the 
+specified facility is a member of the specified set or returns a 
+value of zero to the location specified by @code{member} if the
+specified facility is not a member of the specified set.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -708,47 +719,42 @@
 @item EINVAL
 The facilityno argument is not a valid facility.
-@item ENOSYS
-The function is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The facilitysetops primitives manipulate sets of facilities.  They 
-   operate on data objects addressable by the application.
-
-   The @code{log_facilityemptyset} function initializes the facility
-   set pointed to by the argument @code{set}, such that all facilties
-   are included.
-
-   Applications shall call either @code{log_facilityemptyset} or 
-   @code{log_cacilityfillset} at least once for each object of type
-   @code{log_facilityset_t} prior to any other use of that object.  If
-   such an object is not initialized in this way, but is nonetheless 
-   supplied as an argument  to any of the @code{log_facilityaddset}, 
-   @code{logfacilitydelset}, @code{log_facilityismember} or 
-   @code{log_open} functions, the results are undefined.
-
-   The @code{log_facilityaddset} and @code{log_facilitydelset} functions
-   respectively add or delete the individual facility specified by the
-   value of the argument @code{facilityno} to or from the facility set
-   pointed to by the argument @code{set}
-
-   The @code{log_facilityismember} function tests whether the facility
-   specified by the value of the argument @code{facilityno} is a member
-   of the set pointed to by the argument @code{set}.  Upon successful
-   completion, the @code{log_facilityismember} function either returns
-   a value of one to the location specified by @code{member} if the 
-   specified facility is a member of the specified set or returns a 
-   value of zero to the location specified by @code{member} if the
-   specified facility is not a member of the specified set.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The facilitysetops primitives manipulate sets of facilities.  They 
+operate on data objects addressable by the application.
+
+The @code{log_facilityemptyset} function initializes the facility
+set pointed to by the argument @code{set}, such that all facilties
+are included.
+
+Applications shall call either @code{log_facilityemptyset} or 
+@code{log_facilityfillset} at least once for each object of type
+@code{log_facilityset_t} prior to any other use of that object.  If
+such an object is not initialized in this way, but is nonetheless 
+supplied as an argument  to any of the @code{log_facilityaddset}, 
+@code{logfacilitydelset}, @code{log_facilityismember} or 
+@code{log_open} functions, the results are undefined.
+
+The @code{log_facilityaddset} and @code{log_facilitydelset} functions
+respectively add or delete the individual facility specified by the
+value of the argument @code{facilityno} to or from the facility set
+pointed to by the argument @code{set}
+
+The @code{log_facilityismember} function tests whether the facility
+specified by the value of the argument @code{facilityno} is a member
+of the set pointed to by the argument @code{set}.  Upon successful
+completion, the @code{log_facilityismember} function either returns
+a value of one to the location specified by @code{member} if the 
+specified facility is a member of the specified set or returns a 
+value of zero to the location specified by @code{member} if the
+specified facility is not a member of the specified set.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -775,47 +781,42 @@
 @item EINVAL
 The facilityno argument is not a valid facility.
-@item ENOSYS
-The function is not supported by this implementation.
-
-@end table
-
-@subheading DESCRIPTION:
-
-If @code{_POSIX_LOGGING} is defined:
-
-   The facilitysetops primitives manipulate sets of facilities.  They 
-   operate on data objects addressable by the application.
-
-   The @code{log_facilityemptyset} function initializes the facility
-   set pointed to by the argument @code{set}, such that all facilties
-   are included.
-
-   Applications shall call either @code{log_facilityemptyset} or 
-   @code{log_cacilityfillset} at least once for each object of type
-   @code{log_facilityset_t} prior to any other use of that object.  If
-   such an object is not initialized in this way, but is nonetheless 
-   supplied as an argument  to any of the @code{log_facilityaddset}, 
-   @code{logfacilitydelset}, @code{log_facilityismember} or 
-   @code{log_open} functions, the results are undefined.
-
-   The @code{log_facilityaddset} and @code{log_facilitydelset} functions
-   respectively add or delete the individual facility specified by the
-   value of the argument @code{facilityno} to or from the facility set
-   pointed to by the argument @code{set}
-
-   The @code{log_facilityismember} function tests whether the facility
-   specified by the value of the argument @code{facilityno} is a member
-   of the set pointed to by the argument @code{set}.  Upon successful
-   completion, the @code{log_facilityismember} function either returns
-   a value of one to the location specified by @code{member} if the 
-   specified facility is a member of the specified set or returns a 
-   value of zero to the location specified by @code{member} if the
-   specified facility is not a member of the specified set.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
+
+@end table
+
+@subheading DESCRIPTION:
+
+The facilitysetops primitives manipulate sets of facilities.  They 
+operate on data objects addressable by the application.
+
+The @code{log_facilityemptyset} function initializes the facility
+set pointed to by the argument @code{set}, such that all facilties
+are included.
+
+Applications shall call either @code{log_facilityemptyset} or 
+@code{log_facilityfillset} at least once for each object of type
+@code{log_facilityset_t} prior to any other use of that object.  If
+such an object is not initialized in this way, but is nonetheless 
+supplied as an argument  to any of the @code{log_facilityaddset}, 
+@code{logfacilitydelset}, @code{log_facilityismember} or 
+@code{log_open} functions, the results are undefined.
+
+The @code{log_facilityaddset} and @code{log_facilitydelset} functions
+respectively add or delete the individual facility specified by the
+value of the argument @code{facilityno} to or from the facility set
+pointed to by the argument @code{set}
+
+The @code{log_facilityismember} function tests whether the facility
+specified by the value of the argument @code{facilityno} is a member
+of the set pointed to by the argument @code{set}.  Upon successful
+completion, the @code{log_facilityismember} function either returns
+a value of one to the location specified by @code{member} if the 
+specified facility is a member of the specified set or returns a 
+value of zero to the location specified by @code{member} if the
+specified facility is not a member of the specified set.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -846,15 +847,12 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_LOGGING} is defined:
-
-   This function dynamically allocates memory for the @code{ld}, associates 
-   a directory path to the @code{Ld}, andprovides access permissions to the
-   @code{ld}.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
+This function dynamically allocates memory for the @code{ld}, associates 
+a directory path to the @code{Ld}, andprovides access permissions to the
+@code{ld}.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
 
 @page
@@ -882,15 +880,9 @@
 @subheading DESCRIPTION:
 
-If @code{_POSIX_LOGGING} is defined:
-
-   This function will create a predefined system log directory path and system log
-   file if they do not already exist.
-
-Otherwise:
-
-   The function fails
-
-@subheading NOTES:
-
-
-
+This function will create a predefined system log directory path and
+system log file if they do not already exist.
+
+@subheading NOTES:
+
+The @code{_POSIX_LOGGING} feature flag is defined to indicate
+this service is available.
